<div class="row" *ngIf="isAnnouncedToProject() && isUserInTargetGroup() && project.status == 'active'">
  <div class="col-12" *ngIf="subject.announcements?.length">
    <div class="event-status text-success" *ngIf="subject.announcements[0].status">
      <span>Du bist angemeldet.</span>
      <span class="text-body float-right" *ngIf="isInPast()">Das Event ist vorbei!</span>
      <span class="text-body float-right" *ngIf="isRunning() && !isDeadline()">Das Event hat bereits begonnen!</span>
      <span class="text-danger float-right" *ngIf="isDeadline() && !isInPast()">Die Anmeldefrist ist abgelaufen!</span>
      <div class="btn-group float-right" role="group" *ngIf="!isInPast() && !isRunning() && !isDeadline()">
        <button type="button" class="btn btn-danger btn-sm float-right" *ngIf="!isInPast()" (click)="announce(false)"><i class="fas fa-times"></i> abmelden</button>
        <button type="button" class="btn btn-outline-primary btn-sm"
                (click)="openAnnouncementModal('edit')">
          <i class="fas fa-cogs"></i>
        </button>
      </div>
    </div>
    <div class="event-status text-danger" *ngIf="!subject.announcements[0].status">
      <span>Du bist abgemeldet.</span>
      <span class="text-body float-right" *ngIf="isInPast()">Das Event ist vorbei!</span>
      <span class="text-body float-right" *ngIf="isRunning() && !isDeadline()">Das Event hat bereits begonnen!</span>
      <span class="float-right text-danger" *ngIf="isDeadline() && !isInPast()">Die Anmeldefrist ist abgelaufen!</span>
      <div class="btn-group float-right" role="group" *ngIf="!isInPast() && !isRunning() && !isDeadline()">
        <button type="button" class="btn btn-success btn-sm" (click)="checkForAnnouncementInformations(true)"><i class="fas fa-check"></i> anmelden</button>
        <button type="button" class="btn btn-outline-primary btn-sm"
                (click)="openAnnouncementModal('edit')">
          <i class="fas fa-cogs"></i>
        </button>
      </div>
    </div>
  </div>
  <div class="col-12">
    <div class="event-status" *ngIf="!subject.announcements?.length">
      <span class="text-body float-right" *ngIf="isInPast()">Das Event ist vorbei!</span>
      <span class="text-body float-right" *ngIf="isRunning() && !isDeadline()">Das Event hat bereits begonnen!</span>
      <span class="float-right text-danger" *ngIf="isDeadline() && !isInPast()">Die Anmeldefrist ist abgelaufen!</span>
      <div class="btn-group float-right" role="group" *ngIf="!isInPast() && !isRunning() && !isDeadline()">
        <button type="button" class="btn btn-success btn-sm" (click)="checkForAnnouncementInformations(true)"><i class="fas fa-check"></i> anmelden</button>
        <button type="button" class="btn btn-danger btn-sm" (click)="announce(false)"><i class="fas fa-times"></i> abmelden</button>
      </div>
    </div>
  </div>
</div>
<div class="row" *ngIf="!isUserInTargetGroup()">
  <div class="col-12">
    <div class="event-status">
      <span class="float-right">Du bist in keinem Register für diese Probe.</span>
    </div>
  </div>
</div>
<div class="row" *ngIf="project.status == 'locked'">
  <div class="col-12">
    <div class="event-status">
      <span class="float-right">Das Projekt ist gesperrt.</span>
    </div>
  </div>
</div>